JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const messages = await client.esims.messages.list('550e8400-e29b-41d4-a716-446655440000');
console.log(messages.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
messages = client.esims.messages.list(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(messages.items)curl --request GET \
--url https://api.mobilerun.ai/v1/numbers/esims/{id}/messages \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deliveryStatus": "<string>",
"detectedSender": "<string>",
"direction": "inbound",
"esimId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurredAt": "2023-11-07T05:31:56Z",
"peerKey": "<string>",
"peerNumber": "<string>",
"providerCode": "<string>",
"status": "received"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 2,
"pageSize": 2,
"pages": 1,
"total": 1
}
}{
"error": "<string>"
}{
"message": "<string>",
"reason": "out_of_stock",
"success": false
}Messages
List messages for one eSIM
GET
/
numbers
/
esims
/
{id}
/
messages
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const messages = await client.esims.messages.list('550e8400-e29b-41d4-a716-446655440000');
console.log(messages.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
messages = client.esims.messages.list(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(messages.items)Authorizations
Bearer token via Authorization header
Path Parameters
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Required range:
1 <= x <= 100Available options:
all, inbound, outbound Available options:
all, received, queued, claimed, sending, sent, sent_unconfirmed, delivered, failed Required string length:
3 - 64Required string length:
1 - 128Was this page helpful?
⌘I